List transactions on your account
curl --request GET \
--url https://api.bondio.co/v1/prepaid-balance/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/prepaid-balance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/prepaid-balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"amount": 123,
"category": "<string>",
"currency": "<string>",
"changeType": "credit",
"createdAt": 123,
"description": "<string>"
}
],
"nextPage": "<string>"
}Account Balance
List transactions on your account
Returns a chronologically sorted list of transactions on the prepaid balance of your account with latest transactions first.
GET
/
v1
/
prepaid-balance
/
transactions
List transactions on your account
curl --request GET \
--url https://api.bondio.co/v1/prepaid-balance/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bondio.co/v1/prepaid-balance/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bondio.co/v1/prepaid-balance/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"amount": 123,
"category": "<string>",
"currency": "<string>",
"changeType": "credit",
"createdAt": 123,
"description": "<string>"
}
],
"nextPage": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
category of the transaction - purchase, consumption, topup, etc.
transaction type - credit or debit

